Jump to content

  • You cannot start a new topic
  • You cannot reply to this topic

Some Add-ons to Be Excluded from CS-Cart 4.1.1 Rate Topic   * * - - - 7 votes

 
  • tbirnseth
  • CS Cart Expert
  • Authorized Reseller
  • Join Date: 08-Nov 08
  • 11363 posts

Posted 27 December 2013 - 09:23 PM #61

Gee guys... It's pretty standard business practice for someone to obsolete a product or a model. I.e. You haven't been able to buy a Ford Falcon for years. No one forces anyone to go forward with new versions nor to purchase upgrade rights for future versions. If a version and set of features is meeting your business needs, then why would you want to risk upgrading anyway?

The positives of this are that:
1) They actually notified people ahead of time (and well in advance) of the upcoming changes.
2) They put the software in the public domain where any 3rd party can determine if they wanted to pick up maintenance and development of those addons (I.e. at a profit -- or as a collective of interested users).
3) They did the work to get the old functionality of those addons working in V4 (which in itself is a lot of investment)

So why not just use the product you purchased (I.e. version and features)?

Just because a new version is available doesn't mean you're missing out on anything.

EZ Merchant Solutions: Custom (USA based) B2B Development, Consulting, Development and Special Projects (get a quote here).
Commercial addons, payment methods and modifications to meet your business and operations needs.


 
  • P-Pharma
  • Junior Member
  • Members
  • Join Date: 30-Jun 10
  • 1138 posts

Posted 28 December 2013 - 02:26 AM #62

the CS-Cart 4.1.1 release (expected in the next several months

Is the 4.1.1 release due anytime soon?
I need to decide wether or not I can reivive my website development projects now or need to wait a little longer. I want to avoid rendering investments into v4.0 addon development useless due to an upcoming v4.1 release.

 
  • soldierly
  • Member
  • Members
  • Join Date: 10-Jun 09
  • 142 posts

Posted 28 December 2013 - 01:44 PM #63

you took the right decision. I think attention should be given not only the speed and functionality.

CSCART 4.9.2


 
  • medical
  • Advanced Member
  • Members
  • Join Date: 14-Sep 13
  • 96 posts

Posted 05 January 2014 - 04:27 PM #64

I have been reading this thread, I am not gonna judge why CS-CART will stop the support for those add-ons I want to ask:

Since those add-ons exist in 4v of cs-cart will they still be operational for 4.1 and further 4v releases?
If you don't change the way add-ons work as before from v3 to v4 where add-ons needed some adaptations to work I don't see any reason why they shouldn't work until lets say v5 where there will be some dramatic change.

 

Posted 05 January 2014 - 07:57 PM #65

I have been reading this thread, I am not gonna judge why CS-CART will stop the support for those add-ons I want to ask:

Since those add-ons exist in 4v of cs-cart will they still be operational for 4.1 and further 4v releases?
If you don't change the way add-ons work as before from v3 to v4 where add-ons needed some adaptations to work I don't see any reason why they shouldn't work until lets say v5 where there will be some dramatic change.


Quoted from the original post..
Important! The listed add-ons will be excluded from the default CS-Cart 4.1.1 distribution package. The CS-Cart team will no longer develop these add-ons and they will not be adapted to CS-Cart 4.1.1+. Also, during a software upgrade to CS-Cart 4.1.1, all the mentioned add-ons and related data will be deleted.

Elkhorn Graphics LLC
Cs-Cart 4.7.1  SP3


 
  • imac
  • Head of Product
  • CS-Cart Architects
  • Join Date: 22-Nov 05
  • 2074 posts

Posted 09 January 2014 - 07:34 AM #66

Hi Guys,

I have been reading this thread, I am not gonna judge why CS-CART will stop the support for those add-ons I want to ask:

Since those add-ons exist in 4v of cs-cart will they still be operational for 4.1 and further 4v releases?
If you don't change the way add-ons work as before from v3 to v4 where add-ons needed some adaptations to work I don't see any reason why they shouldn't work until lets say v5 where there will be some dramatic change.

Quoted from the original post..

Important! The listed add-ons will be excluded from the default CS-Cart 4.1.1 distribution package. The CS-Cart team will no longer develop these add-ons and they will not be adapted to CS-Cart 4.1.1+. Also, during a software upgrade to CS-Cart 4.1.1, all the mentioned add-ons and related data will be deleted.


After a long discussion we decided not to remove these add-ons during upgrade to v4.1.1. These add-ons will just be disabled by default. So after the upgrade you will be able to enable it without any data loss (all the add-ons DB data will be kept unchanged). But please keep in mind that we do not guarantee that the add-on will work correctly after the upgrade.

I apologise for the misinformation.

P.S. The first post of this thread was updated accrodingly to this information.
Ilya Makarov,
CS-Cart Architect Team
Suggest and vote for new features | Report a bug

 
  • mattcaswell
  • Junior Member
  • Members
  • Join Date: 06-Oct 09
  • 79 posts

Posted 11 January 2014 - 05:12 AM #67

Good Call. Thanks for listening to everyone that uses them. Me? I've never gotten them to work right.

 
  • dan4288
  • Member
  • Trial users
  • Join Date: 15-Mar 13
  • 47 posts

Posted 14 January 2014 - 04:08 PM #68

Well that ends that. After 3 licenses and was about to buy a fourth theres no way we can now. We use monthly subscriptions as the main focus of our website.

 
  • imac
  • Head of Product
  • CS-Cart Architects
  • Join Date: 22-Nov 05
  • 2074 posts

Posted 15 January 2014 - 10:33 AM #69

Well that ends that. After 3 licenses and was about to buy a fourth theres no way we can now. We use monthly subscriptions as the main focus of our website.


hi dan4288,

You are still able to use 4.0.3 instead of 4.1.1. Even after 4.1.1 is released you can ask sales manager to provide you with v4.0.3 package.
Ilya Makarov,
CS-Cart Architect Team
Suggest and vote for new features | Report a bug

 
  • dan4288
  • Member
  • Trial users
  • Join Date: 15-Mar 13
  • 47 posts

Posted 20 January 2014 - 07:18 PM #70

"No one forces anyone to go forward with new versions nor to purchase upgrade rights for future versions. If a version and set of features is meeting your business needs, then why would you want to risk upgrading anyway?"

Umm. What if the prior version has bugs and glitches ? And the new version fixes them ?


Thanks Imac I will conatct my sales manager ..

 
  • tbirnseth
  • CS Cart Expert
  • Authorized Reseller
  • Join Date: 08-Nov 08
  • 11363 posts

Posted 20 January 2014 - 10:57 PM #71

Umm. What if the prior version has bugs and glitches ? And the new version fixes them ?

Because the new version will undoubtedly introduce new ones you are not expecting.

All versions will have "bugs and glitches". The question is which are mission critical for your business?

EZ Merchant Solutions: Custom (USA based) B2B Development, Consulting, Development and Special Projects (get a quote here).
Commercial addons, payment methods and modifications to meet your business and operations needs.


 
  • dan4288
  • Member
  • Trial users
  • Join Date: 15-Mar 13
  • 47 posts

Posted 21 January 2014 - 02:32 PM #72

You mean the next one will never be the one without bugs ? :)

Anyways Imac I e-mailed to get a 4.03 version and to buy another version and to upgrade another version we have.

And I get back a generated e-mail basically saying wait 1 to 2 days.

Be a good idea for folks trying to give you money to have a seperate e-mail or way to contact you.

I used cscart back when version 2 was around. I have bought a couple versions for my employer now.

Problem is I can't sit not working for 2 days.

Not to mention I have to explain why reoccuring payments are in the new version and why I need 4.03 ect ect ..

Edited by admin, 21 January 2014 - 05:42 PM.
Irrelevant competitor mention removed.


 
  • Triplex
  • Senior Member
  • Members
  • Join Date: 12-Mar 08
  • 622 posts

Posted 29 January 2014 - 09:59 PM #73

Oh my god, now Cs-Cart Moderators here must censor now posts from users, because competitors was named. Are you no more so good like when i bought in 2008 my cs-cart license? At earlier posts you had nothing against when somebody compare Cs-Cart, but these days i see more and more censor posts and doing things where you annoy your clients. I cannot understand this actions. Where are the cool guys from the past :-0

You must know, you can only be better than competitors when you will be compared.

AND I HATE CENSORING POSTS, sure when somebody post some hates posts, or other unethical things, but come one!

 
  • MichielTG
  • Advanced Member
  • Members
  • Join Date: 17-Aug 12
  • 65 posts

Posted 31 January 2014 - 11:01 AM #74

The 4.1.1 broke my store-front and settings panel

I highly recommed to install the 4.1.1 on a local server first to check if it is working for you.
I had installed 4.1.1 a few hours ago. The update gave me a few errors.


[color=#DD2244][font=Monaco][size=2]
[size=3][b]Error occurred: post upgrade[/b]Duplicate entry '16-nl' for key 'banner' [b](1062)[/b]: [/size]INSERT INTO cscart_banner_images (`banner_id`, `lang_code`) VALUES (16, 'nl')[/size][/font][/color]
[size=3]
[b]Error occurred: post upgrade[/b]Duplicate entry '16-en' for key 'banner' [b](1062)[/b]: [color=#DD2244][font=Monaco][size=2]INSERT INTO cscart_banner_images (banner_id, lang_code) VALUE(16, 'en')[/size][/font][/color][/size]


I reverted the installation, and afterwards my Administation -> Settings was also broken. (so I couldn't turn on the storefront)
Luckily I found that Twigmo was causing this problem in my error logs.

1. Make a full backup of your storefront.
2. Test it on a local server
3. If you have the same problem Rename the directory 'twigmo' in /app/addons to 'twigmo_broken'.
You could try to unistall Twigmo, however that gave me a blank page....

[Fri Jan 31 11:50:27 2014] [warn] [client my.ip.my.ip] mod_fcgid: stderr: PHP Warning: require_once(/var/www/vhosts/mydomain.com/httpdocs/app/addons/twigmo/Twigmo/Core/TwigmoSettings.php): failed to open stream: No such file or directory in /var/www/vhosts/mydomain.com/httpdocs/app/addons/twigmo/func.php on line 37, referer: http://www.mydomain.com/admin.php?dispatch=addons.manage
[Fri Jan 31 11:50:27 2014] [warn] [client my.ip.my.ip] mod_fcgid: stderr: PHP Fatal error: require_once(): Failed opening required '/var/www/vhosts/mydomain.com/httpdocs/app/addons/twigmo/Twigmo/Core/TwigmoSettings.php' (include_path='/var/www/vhosts/mydomain.com/httpdocs/app/lib/pear/.:') in /var/www/vhosts/mydomain.com/httpdocs/app/addons/twigmo/func.php on line 37, referer: http://www.mydomain.com/admin.php?dispatch=addons.manage
[Fri Jan 31 11:50:29 2014] [warn] [client my.ip.my.ip] mod_fcgid: stderr: PHP Warning: require_once(/var/www/vhosts/mydomain.com/httpdocs/app/addons/twigmo/Twigmo/Core/TwigmoSettings.php): failed to open stream: No such file or directory in /var/www/vhosts/mydomain.com/httpdocs/app/addons/twigmo/func.php on line 37
[Fri Jan 31 11:50:29 2014] [warn] [client my.ip.my.ip] mod_fcgid: stderr: PHP Fatal error: require_once(): Failed opening required '/var/www/vhosts/mydomain.com/httpdocs/app/addons/twigmo/Twigmo/Core/TwigmoSettings.php' (include_path='/var/www/vhosts/mydomain.com/httpdocs/app/lib/pear/.:') in /var/www/vhosts/mydomain.com/httpdocs/app/addons/twigmo/func.php on line 37
[Fri Jan 31 11:50:32 2014] [warn] [client my.ip.my.ip] mod_fcgid: stderr: PHP Warning: require_once(/var/www/vhosts/mydomain.com/httpdocs/app/addons/twigmo/Twigmo/Core/TwigmoSettings.php): failed to open stream: No such file or directory in /var/www/vhosts/mydomain.com/httpdocs/app/addons/twigmo/func.php on line 37
[Fri Jan 31 11:50:32 2014] [warn] [client my.ip.my.ip] mod_fcgid: stderr: PHP Fatal error: require_once(): Failed opening required '/var/www/vhosts/mydomain.com/httpdocs/app/addons/twigmo/Twigmo/Core/TwigmoSettings.php' (include_path='/var/www/vhosts/mydomain.com/httpdocs/app/lib/pear/.:') in /var/www/vhosts/mydomain.com/httpdocs/app/addons/twigmo/func.php on line 37
[Fri Jan 31 11:50:33 2014] [warn] [client my.ip.my.ip] mod_fcgid: stderr: PHP Warning: require_once(/var/www/vhosts/mydomain.com/httpdocs/app/addons/twigmo/Twigmo/Core/TwigmoSettings.php): failed to open stream: No such file or directory in /var/www/vhosts/mydomain.com/httpdocs/app/addons/twigmo/func.php on line 37
[Fri Jan 31 11:50:33 2014] [warn] [client my.ip.my.ip] mod_fcgid: stderr: PHP Fatal error: require_once(): Failed opening required '/var/www/vhosts/mydomain.com/httpdocs/app/addons/twigmo/Twigmo/Core/TwigmoSettings.php' (include_path='/var/www/vhosts/mydomain.com/httpdocs/app/lib/pear/.:') in /var/www/vhosts/mydomain.com/httpdocs/app/addons/twigmo/func.php on line 37
[Fri Jan 31 11:50:35 2014] [warn] [client my.ip.my.ip] mod_fcgid: stderr: PHP Warning: require_once(/var/www/vhosts/mydomain.com/httpdocs/app/addons/twigmo/Twigmo/Core/TwigmoSettings.php): failed to open stream: No such file or directory in /var/www/vhosts/mydomain.com/httpdocs/app/addons/twigmo/func.php on line 37
[Fri Jan 31 11:50:35 2014] [warn] [client my.ip.my.ip] mod_fcgid: stderr: PHP Fatal error: require_once(): Failed opening required '/var/www/vhosts/mydomain.com/httpdocs/app/addons/twigmo/Twigmo/Core/TwigmoSettings.php' (include_path='/var/www/vhosts/mydomain.com/httpdocs/app/lib/pear/.:') in /var/www/vhosts/mydomain.com/httpdocs/app/addons/twigmo/func.php on line 37
[Fri Jan 31 11:50:36 2014] [warn] [client my.ip.my.ip] mod_fcgid: stderr: PHP Warning: require_once(/var/www/vhosts/mydomain.com/httpdocs/app/addons/twigmo/Twigmo/Core/TwigmoSettings.php): failed to open stream: No such file or directory in /var/www/vhosts/mydomain.com/httpdocs/app/addons/twigmo/func.php on line 37
[Fri Jan 31 11:50:36 2014] [warn] [client my.ip.my.ip] mod_fcgid: stderr: PHP Fatal error: require_once(): Failed opening required '/var/www/vhosts/mydomain.com/httpdocs/app/addons/twigmo/Twigmo/Core/TwigmoSettings.php' (include_path='/var/www/vhosts/mydomain.com/httpdocs/app/lib/pear/.:') in /var/www/vhosts/mydomain.com/httpdocs/app/addons/twigmo/func.php on line 37
[Fri Jan 31 11:50:37 2014] [warn] [client my.ip.my.ip] mod_fcgid: stderr: PHP Warning: require_once(/var/www/vhosts/mydomain.com/httpdocs/app/addons/twigmo/Twigmo/Core/TwigmoSettings.php): failed to open stream: No such file or directory in /var/www/vhosts/mydomain.com/httpdocs/app/addons/twigmo/func.php on line 37
[Fri Jan 31 11:50:37 2014] [warn] [client my.ip.my.ip] mod_fcgid: stderr: PHP Fatal error: require_once(): Failed opening required '/var/www/vhosts/mydomain.com/httpdocs/app/addons/twigmo/Twigmo/Core/TwigmoSettings.php' (include_path='/var/www/vhosts/mydomain.com/httpdocs/app/lib/pear/.:') in /var/www/vhosts/mydomain.com/httpdocs/app/addons/twigmo/func.php on line 37
[Fri Jan 31 11:50:58 2014] [warn] [client my.ip.my.ip] mod_fcgid: stderr: PHP Warning: require_once(/var/www/vhosts/mydomain.com/httpdocs/app/addons/twigmo/Twigmo/Core/TwigmoSettings.php): failed to open stream: No such file or directory in /var/www/vhosts/mydomain.com/httpdocs/app/addons/twigmo/func.php on line 37, referer: http://www.mydomain.com/admin.php?dispatch=addons.manage
[Fri Jan 31 11:50:58 2014] [warn] [client my.ip.my.ip] mod_fcgid: stderr: PHP Fatal error: require_once(): Failed opening required '/var/www/vhosts/mydomain.com/httpdocs/app/addons/twigmo/Twigmo/Core/TwigmoSettings.php' (include_path='/var/www/vhosts/mydomain.com/httpdocs/app/lib/pear/.:') in /var/www/vhosts/mydomain.com/httpdocs/app/addons/twigmo/func.php on line 37, referer: http://www.mydomain.com/admin.php?dispatch=addons.manage


 
  • tmv
  • Member
  • Members
  • Join Date: 14-Sep 07
  • 148 posts

Posted 01 February 2014 - 12:19 PM #75

So the theoretically after upgrade to version 4.1.1 this is possible to remove the tables of the deprecated addons? (if there is no plans to return back to 4.0.3)

 
  • tbirnseth
  • CS Cart Expert
  • Authorized Reseller
  • Join Date: 08-Nov 08
  • 11363 posts

Posted 02 February 2014 - 06:49 AM #76

Theoretically if cs-cart built their addons like addon developers have to, the tables would not be there to begin with and would only be created with the addon is "installled".

EZ Merchant Solutions: Custom (USA based) B2B Development, Consulting, Development and Special Projects (get a quote here).
Commercial addons, payment methods and modifications to meet your business and operations needs.


 
  • patricio99
  • Newbie
  • Members
  • Join Date: 19-Feb 14
  • 9 posts

Posted 19 February 2014 - 07:04 PM #77

Well, I am just upgrading my project to ver 4.1.2 for use with 3 new multi-stores expecting to use at least Affiliate, Recurring Billing and Product Configurator.

I understand CS-Cart postion and accepted, there is no other way, but please give us orientation in how can we get those add-ons for ver 4.1.2, where can we get them?

Thanks in advance.

 
  • tiagocaus
  • Newbie
  • Trial users
  • Join Date: 20-Feb 14
  • 1 posts

Posted 20 February 2014 - 11:40 AM #78

How do I install add-ons?
I accessed the site https://github.com/c...curring-billing

I sent the folder "app" and "design" to the server and did not find how to enable.

What else to do?

 

Posted 28 February 2014 - 01:19 AM #79

All is not lost everyone...the add-ons are still available and as far as I know all of them are working properly. They just won't be packaged in subsequent versions of CS-Cart. Its OK :-) . It sounds much worse than it is.
Sharron Denice
Owner/President Let A Pro Do IT!
www.letaprodoit.com

 

Posted 28 February 2014 - 01:22 AM #80

Download the zip file on github, extract the files in your install directory. Login to admin, click on Addons->Manage Addons and click "Install" next to recurring billing :-)

How do I install add-ons?
I accessed the site https://github.com/c...curring-billing

I sent the folder "app" and "design" to the server and did not find how to enable.

What else to do?


Sharron Denice
Owner/President Let A Pro Do IT!
www.letaprodoit.com